Bug 1005971 - RFE: enhance aether-ant-tasks to leverage xmvn for local resolution
RFE: enhance aether-ant-tasks to leverage xmvn for local resolution
Product: Fedora
Classification: Fedora
Component: aether-ant-tasks (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-09-09 14:40 EDT by Pete MacKinnon
Modified: 2013-09-22 19:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.9.0-0.3.M3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-11 13:42:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pete MacKinnon 2013-09-09 14:40:54 EDT
It would be nice to have ant-task dependency declarations like the following automatically resolved to fedora packages:

<target name="mvn-deploy" depends="mvn-init"
            description="Deploy artifacts to a Maven repository.">
        <artifact:deploy file="pom.xml">
            <artifact:pom file="pom.xml"/>
            <remoteRepository id="${mvn.deploy.repo.id}" url="${mvn.deploy.repo.url}"/>
        <ant target="mvn-deploy" dir="core" inheritAll="false" useNativeBasedir="true"/>
        <ant target="mvn-deploy" dir="hcatalog-pig-adapter" inheritAll="false" useNativeBasedir="true"/>
        <ant target="mvn-deploy" dir="server-extensions" inheritAll="false" useNativeBasedir="true"/>
        <ant target="mvn-deploy" dir="webhcat/java-client" inheritAll="false" useNativeBasedir="true"/>
        <ant target="mvn-deploy" dir="webhcat/svr" inheritAll="false" useNativeBasedir="true"/>
Comment 1 Mikolaj Izdebski 2013-09-11 13:14:27 EDT
Feature implemented.  aether-ant-tasks are now able
to resolve artifacts from system repository using XMvn.

Example usage:

$ cat build.xml
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:aether="antlib:org.eclipse.aether.ant" default="test">
  <taskdef uri="antlib:org.eclipse.aether.ant" resource="org/eclipse/aether/ant/antlib.xml"/>

  <aether:dependencies id="my-dep">
    <dependency groupid="org.codehaus.plexus" artifactid="plexus-utils" version="SYSTEM"/> 

  <target name="test">
    <aether:resolve dependenciesref="my-dep">
      <path refid="cp" classpath="compile"/>
    <property name="mycp" refid="cp"/>
    <echo message="${mycp}"/>

$ ant -Dxmvn.ant.enable=true
Buildfile: /tmp/build.xml

[aether:resolve] Resolving artifacts
     [echo] /usr/share/java/plexus/utils.jar

Total time: 2 seconds
Comment 2 Mikolaj Izdebski 2013-09-11 13:24:34 EDT
Fixed in aether-ant-tasks-0.9.0-0.3.M3
Comment 3 Mikolaj Izdebski 2013-09-11 13:25:57 EDT
Fixed in aether-ant-tasks-0.9.0-0.3.M3
Comment 4 Mikolaj Izdebski 2013-09-11 13:42:23 EDT
I believe that this bug is fixed in aether-ant-tasks-0.9.0-0.3.M3,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
Comment 5 Fedora Update System 2013-09-11 13:56:37 EDT
aether-ant-tasks-0.9.0-0.3.M3.fc20 has been submitted as an update for Fedora 20.
Comment 6 Fedora Update System 2013-09-22 19:56:57 EDT
aether-ant-tasks-0.9.0-0.3.M3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.